zodb (1:3.10.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream release 3.10.7
    - drop patch merged upstream:
      Fix-possible-data-corruption-after-FileStorage-is-tr.patch
    - new patch to make tests run with transaction < 1.6.1:
      Revert-Update-synchronizers-tests-wrt-to-transaction.patch
  * Use pybuild instead of van.pydeb.
  * Use debhelper 10.
  * d/control:
    - Drop 'Conflicts: zope3': this package was removed long time ago.
    - Update Standards-Version to 3.9.8 (no change needed).
    - Use HTTPS for Vcs-Browser.
    - Set section back to 'python'. As clarified upstream:
      « ZODB doesn't depend on Zope in any way and is used in many projects
        that have nothing to do with Zope. »
      This also fixes an override disparity.
  * d/copyright: update Copyright: year.
  * d/watch: fix by refreshing it from pypi.debian.net

 -- Julien Muchembled <jm@jmuchemb.eu>  Sat, 21 Jan 2017 22:25:01 +0100

zodb (1:3.10.5+1.gb28a24c-1) unstable; urgency=medium

  * Team upload.

  [ Gediminas Paulauskas ]
  * New upstream release 3.10.5
  * debian/patches/lp_135108.patch: remove, fixed upstream.
  * debian/rules:
    - do not fix shebangs, dh_python2 does it for us.
    - install upstream changelog.
  * debian/compat: bump to 9
  * debian/control:
    - require debhelper 9
    - enable autopkgtest (Closes: #692708).
    - remove ${python:Provides} to avoid creating virtual versioned package.
    - use canonical URI for Vcs-Svn and Vcs-Browser.
    - requires Python 2.5 or later.

  [ Arnaud Fontaine ]
  * d/p/persistent-module-4.x-compat.patch: Refreshed.
  * d/p/test-spurious-failure-under-python27.patch: Not needed anymore as the
    test has been removed upstream.

  [ Julien Muchembled ]
  * Merge 1:3.9.7-5
  * New upstream 3.10.x snapshot (2014-03-10).
    - drop patches merged upstream: new-transaction.patch, testUtils.patch
    - add get-orig-source rule to download source
  * Manage patches with gbp-pq.
  * Add patch to fix possible data corruption after FileStorage is truncated
    to roll back a transaction.
  * Fix debian/watch by using pypi.debian.net redirector.
  * autopkgtest:
    - fix broken dependency (the test suite don't require anymore an old
      version of python-zope.testing)
    - make sure tests are not run with root user
    - depend on python-manuel, as required by a few tests
  * Update Standards-Version to 3.9.6 (no change needed).
  * debian/control:
    - build-depend on dh-python, as requested by dh_python2
    - build-depend on python-van.pydeb >= 1.3.3-2 to fix FTBFS with
      python-pkg-resources >= 12.2 (Closes: #790767)

 -- Julien Muchembled <jm@jmuchemb.eu>  Tue, 11 Aug 2015 17:00:43 +0200

zodb (1:3.9.7-5) unstable; urgency=medium

  * Team upload.
  * persistent module was removed in the previous upload, but some headers
    were not. Thanks to Kirill Smelkov. Closes: #773699.

 -- Arnaud Fontaine <arnau@debian.org>  Wed, 24 Dec 2014 12:16:03 +0900

zodb (1:3.9.7-4) unstable; urgency=medium

  * Team upload.
  * Revert change in previous upload in favor of removing persistent
    module from this package and make it depend upon python-persistent
    (with upstream ACK). Closes: #767554.
    + d/control: Add Depends against python-persistent.
    + d/rules: Delete persistent module from final package.
    + d/p/persistent-module-4.x-compat.patch: persistent 4.x uses bytes
      instead of repr() but ZODB < 4.0.0a4 still uses repr() which is
      incompatible.
    + d/tests/all: Remove persistent from the list of tests being ran.
    + d/tests/control: zope.testing.doctest has been removed in
      python-zope.testing 4.0.0 and tests cannot be ran anymore. So update
      Depends accordingly even though << 4.0.0~ is only in stable instead of
      backporting many patches. Fix this issue properly when packing NUR
      after the release of Jessie.
  * d/p/test-spurious-failure-under-python27.patch: Fix python2.7 tests.

  [ Gediminas Paulauskas ]
  * d/p/new-transaction.patch: Fix test failure with new transaction.
  * d/p/testUtils.patch: Fix test failure with python2.7 (>= 2.7.6).
  * d/tests: Switch to zope.testrunner.

 -- Arnaud Fontaine <arnau@debian.org>  Tue, 16 Dec 2014 17:12:06 +0900

zodb (1:3.9.7-3) unstable; urgency=medium

  * Team upload.
  * d/control: ZODB3 >= 3.11a1 (python-zodb in Debian) has been split up
    into distinct packages (persistent, BTrees, ZODB and ZEO), so until
    python-zodb is updated to at least that version (eg after Jessie), add
    a Conflicts and Provides of python-persistent. Thanks to Andreas
    Beckmann. Closes: #767554.

 -- Arnaud Fontaine <arnau@debian.org>  Fri, 14 Nov 2014 18:34:36 +0900

zodb (1:3.9.7-2) unstable; urgency=low

  * Team upload.
  * debian/clean: remove to make sure all files are installed.
  * debian/source/options: ignore .egg-info directory.

 -- Arnaud Fontaine <arnau@debian.org>  Tue, 08 Nov 2011 22:53:37 +0900

zodb (1:3.9.7-1) unstable; urgency=low

  * Team upload.

  [ Arnaud Fontaine ]
  * debian/control: add Vcs-Browser.
  * debian/copyright: use versioned URL for DEP5 specification.
  * Add debian/clean to get rid of egg-info/* to prevent FTBFS if
    built twice.

  [ Gediminas Paulauskas ]
  * Switch to 3.0 (quilt) source format.
  * Use dh_python2 instead of python-central (Closes: #617157).
  * debian/patches/lp_135108.patch: put the security fix in a patch.

 -- Arnaud Fontaine <arnau@debian.org>  Wed, 19 Oct 2011 00:01:41 +0900

zodb (1:3.9.7-0ubuntu1) natty; urgency=low

  * New upstream bugfix release.
  * debian/rules:
    - move test dependencies to suggests.
    - stop making two python-version-specific copies of scripts in /usr/bin;
      avoids dependency on python2.6.
    - remove C source files.
  * debian/copyright: update, convert to dep5 format.
  * debian/tests/all: make it work on python >= 2.6.

 -- Gediminas Paulauskas <menesis@pov.lt>  Tue, 19 Apr 2011 19:57:15 +0300

zodb (1:3.9.4-1.1) unstable; urgency=low

  * Non-maintainer upload by the Security Team.
  * Fix CVE-2010-3495 (Closes: #599711)

 -- Moritz Muehlenhoff <jmm@debian.org>  Thu, 04 Nov 2010 18:50:19 +0100

zodb (1:3.9.4-1) unstable; urgency=low

  [ Brian Sutherland ]
  * debian/tests/all: Test the correct python modules.

  [ Fabio Tranchitella ]
  * New upstream release.
  * Convert to debhelper 7 and the pydeb dh7 extension.

 -- Fabio Tranchitella <kobold@debian.org>  Tue, 05 Jan 2010 22:22:35 +0100

zodb (1:3.9.1-2) unstable; urgency=low

  * debian/control: build-depend on python-van.pydeb >= 1.3.0-2.
    (Closes: #552936)

 -- Fabio Tranchitella <kobold@debian.org>  Sun, 08 Nov 2009 11:01:32 +0100

zodb (1:3.9.1-1) unstable; urgency=low

  * New upstream release.

 -- Fabio Tranchitella <kobold@debian.org>  Mon, 12 Oct 2009 06:41:05 +0000

zodb (1:3.9.0-2) unstable; urgency=low

  * Set section to zope.
  * Rebuild against van.pydeb 1.3.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 12 Sep 2009 21:33:13 +0200

zodb (1:3.9.0-1) unstable; urgency=low

  * New upstream release.

 -- Fabio Tranchitella <kobold@debian.org>  Tue, 08 Sep 2009 23:36:22 +0200

zodb (1:3.8.3-2) unstable; urgency=low

  * debian/rules: fixed a bashism. (Closes: #545628, #545150)

 -- Fabio Tranchitella <kobold@debian.org>  Tue, 08 Sep 2009 23:30:16 +0200

zodb (1:3.8.3-1) unstable; urgency=low

  * New upstream release.

 -- Fabio Tranchitella <kobold@debian.org>  Wed, 02 Sep 2009 07:19:54 +0200

zodb (1:3.8.2-2) unstable; urgency=low

  * Get rid of the python2.3 dependency patching the ZEO and ZODB scripts to
    not hardcode python2.3. (Closes: #541972)

 -- Fabio Tranchitella <kobold@debian.org>  Sat, 29 Aug 2009 16:03:01 +0200

zodb (1:3.8.2-1) unstable; urgency=high

  * New upstream release, fixes security issues. (Closes: #540465)
  * Standards-Version: 3.8.3, no changed required.
  * A rebuild is enough to get rid of the python2.3 dependency.
    (Closes: #541972)

 -- Fabio Tranchitella <kobold@debian.org>  Fri, 28 Aug 2009 11:06:03 +0200

zodb (1:3.8.1-1) unstable; urgency=low

  * New upstream release.

 -- Fabio Tranchitella <kobold@debian.org>  Thu, 18 Jun 2009 17:37:28 +0200

zodb (1:3.6.0-4) unstable; urgency=low

  * debian/patches/py2.6.dpatch: updated, to make it really working.
  * debian/rules: added --prefix=/usr to setup.py.

 -- Fabio Tranchitella <kobold@debian.org>  Tue, 07 Apr 2009 11:33:08 +0200

zodb (1:3.6.0-3) unstable; urgency=low

  * debian/control: build the package for all the available python versions.
    (Closes: #472392)

 -- Fabio Tranchitella <kobold@debian.org>  Sun, 29 Mar 2009 21:40:43 +0200

zodb (1:3.6.0-2) unstable; urgency=low

  * debian/rules: fixed with the new binary package name. (Closes: #463259)

 -- Fabio Tranchitella <kobold@debian.org>  Tue, 05 Feb 2008 15:05:40 +0100

zodb (1:3.6.0-1) unstable; urgency=low

  * Reverted back to ZODB 3.6, it wasn't a great idea to upload 3.8.0 because
    it requires some of the zope3 infrastructure and we don't have those
    packages in the archive. (Closes: #463259)
  * debian/control: renamed python-zodb to python2.4-zodb to make it explicit
    that we only support python2.4 at the moment.

 -- Fabio Tranchitella <kobold@debian.org>  Wed, 30 Jan 2008 19:05:55 +0100

zodb (3.8.0-1) unstable; urgency=low

  * New upstream release, which is compatible with both python2.4 and
    python2.5. (Closes: #462076)
  * debian/control: set Standards-Version to 3.7.3, no changes required.

 -- Fabio Tranchitella <kobold@debian.org>  Tue, 29 Jan 2008 11:51:16 +0100

zodb (3.6.0-8) unstable; urgency=low

  * debian/patches/python-zodb-x86_64: not applied anymore.
  * debian/control: support only python2.4 (and not python2.5); according to
    Christian Theune, upstream developer, python2.5 is not supported in ZODB
    3.6 and it is better to drop it.

 -- Fabio Tranchitella <kobold@debian.org>  Wed, 05 Dec 2007 19:23:44 +0100

zodb (3.6.0-7) unstable; urgency=low

  * debian/patches/python-zodb-x86_64.dpatch: Persistent and BTree modules
    don't work properly in x86_64. (Closes: #454196)

 -- Fabio Tranchitella <kobold@debian.org>  Tue, 04 Dec 2007 09:52:47 +0100

zodb (3.6.0-6) unstable; urgency=high

  * debian/control: conflict with zope3. (Closes: #411472)

 -- Fabio Tranchitella <kobold@debian.org>  Mon, 12 Mar 2007 07:14:00 +0100

zodb (3.6.0-5) unstable; urgency=low

  * Drop dependencies on versioned interpreters.

 -- Matthias Klose <doko@debian.org>  Fri, 27 Oct 2006 01:46:32 +0200

zodb (3.6.0-4) unstable; urgency=low

  * Python policy transition. (Closes: #375357)

 -- Fabio Tranchitella <kobold@debian.org>  Wed, 28 Jun 2006 22:55:40 +0200

zodb (3.6.0-3) unstable; urgency=low

  * Really remove the zope.interface package, last upload wasn't enough.

 -- Fabio Tranchitella <kobold@debian.org>  Mon, 10 Apr 2006 10:36:11 +0000

zodb (3.6.0-2) unstable; urgency=low

  * Removed the already-present-in-the-archive zope.interface package,
    added depends on python2.[34]-zopeinterface package. (Closes: #360493)

 -- Fabio Tranchitella <kobold@debian.org>  Fri,  7 Apr 2006 08:17:35 +0000

zodb (3.6.0-1) unstable; urgency=low

  * New upstream release. (Closes: #346331)
  * debian/control: python variants won't conflict anymore: the utility
    scripts won't be installed under /usr/bin. (Closes: #346330)

 -- Fabio Tranchitella <kobold@debian.org>  Sun, 15 Jan 2006 21:33:01 +0000

zodb (3.5.1-1) unstable; urgency=low

  * New upstream release. (Closes: #328892)
  * Source package renamed to zodb.

 -- Fabio Tranchitella <kobold@debian.org>  Thu, 24 Nov 2005 15:16:17 +0000

zodb3.4 (3.4.1-2) unstable; urgency=low

  * debian/control: build-depends on python (required by dh_python).
    (Closes: #324578)

 -- Fabio Tranchitella <kobold@debian.org>  Tue, 23 Aug 2005 09:10:29 +0000

zodb3.4 (3.4.1-1) unstable; urgency=low

  * Initial release (Closes: #158552, #159072, #188435)

 -- Fabio Tranchitella <kobold@debian.org>  Thu, 18 Aug 2005 21:49:17 +0000
